<template>
	<view class="home">
		<view class="title">
			{{info.noticeTitle}}
		</view>
		<text class="time">创建时间：{{info.createTime}}</text>
		<rich-text :nodes="info.noticeContent" style="text-indent: 2em;" class="content"></rich-text>
	</view>
</template>

<script>
	import { getNoticeDetail } from '@/api/notice.js'
	export default {
		data() {
			return {
				info:{},
				id:null
			};
		},
		onLoad:function(option){
			this.id = option.id
			console.log(this.id)
			this.init()
		},
		methods:{
			init(){
				getNoticeDetail(this.id).then(res=>{
					this.info = res
				})
			}
		}
	}
</script>

<style lang="scss">
.home{
	padding:0 30rpx 30rpx;
	.title{
		color: rgba(80, 80, 80, 1);
		font-size: 40rpx;
		line-height: 300%;
		text-align: center;
	}
	.time{
		color: rgba(80, 80, 80, 1);
		font-size: 28rpx;
		line-height: 200%;
		text-align: left;
	}
	.content{
		color: rgba(102, 102, 102, 1);
		font-size: 30rpx;
		line-height: 190%;
		text-align: left;
		text-indent: 2em;
	}
}
</style>
